Subject: Re: [Bridge-mib] Definitions for Port Access Control (IEEE 802.1X) MIB

From: "C. M. Heard" <[email-masked]>
Date: Fri, 3 May 2002 14:06:59 -0700 (PDT)

On April 22, K.C. Norseth wrote:
> I have an update to the  802.1x mib for the IETF.  I corrected the compile
> problem. The draft I prepared can be found at:
> http://norseth.org/ietf/bridgemib/8021x/draft-ietf-bridge-8021x-00.txt
> 
> Logs of the smidumps can be found in http://norseth.org/ietf/bridgemib/8021x
> directory if you would like to use them.
>      
> There are only a couple of changes from the original published IEEE mib
> (http://www.ieee802.org/1/mirror/8021/MIBs/802-1x-2001-mib.txt) required to
> make it compile.  They are in the IMPORTS section.   If you have any
> comments, please let me know.  If there are no issues, I will submit it to
> the IETF this week.

K.C.,

I think there is an error in one of the compilation fixups, namely that
this OID assignment (for the MODULE-IDENTITY invocation)

-- ::= { iso(1) std(0) iso8802(8802) ieee802dot1(1) ieee802dot1mibs(1) 1 }
  ::= { iso8802(8802) ieee802dot1(1) ieee802dot1mibs(1) 1 }

looks like it will yield a wrong (and illegal) OID.  I think the correct
way to fix the problem is this:

  ::= { iso std(0) iso8802(8802) ieee802dot1(1) ieee802dot1mibs(1) 1 }

i.e. just change "iso(1)" to "iso" (this is a predefined identifier of
type OID inherited from ASN.1 by SMIv2).

Also, there are some other problems that your previous passes did not catch:

% ./libsmi-0.3.1/tools/smilint -s -l 9 ./IEEE8021-PAE-MIB |& grep -v 'object identifier name .* longer than 32 characters$'
./IEEE8021-PAE-MIB:188: [4] node `dot1xPaePortReauthenticate' must be contained in at least one conformance group
./IEEE8021-PAE-MIB:1101: [4] node `dot1xAuthSessionUserName' must be contained in at least one conformance group

Hope I'm not too late with these comments.

Mike

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib